
_interrupt:

;PIC Clicker IrThermo Click.c,51 :: 		void interrupt() {
;PIC Clicker IrThermo Click.c,53 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;PIC Clicker IrThermo Click.c,54 :: 		}
L_end_interrupt:
L__interrupt22:
	RETFIE      1
; end of _interrupt

_clear_USB_buffers:

;PIC Clicker IrThermo Click.c,56 :: 		void clear_USB_buffers()
;PIC Clicker IrThermo Click.c,58 :: 		for (i=0; i<63;i++)
	CLRF        _i+0 
L_clear_USB_buffers0:
	MOVLW       63
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_clear_USB_buffers1
;PIC Clicker IrThermo Click.c,60 :: 		readbuff[i] = 0;
	MOVLW       _readbuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker IrThermo Click.c,61 :: 		writebuff[i] = 0;
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;PIC Clicker IrThermo Click.c,58 :: 		for (i=0; i<63;i++)
	INCF        _i+0, 1 
;PIC Clicker IrThermo Click.c,62 :: 		}
	GOTO        L_clear_USB_buffers0
L_clear_USB_buffers1:
;PIC Clicker IrThermo Click.c,63 :: 		}
L_end_clear_USB_buffers:
	RETURN      0
; end of _clear_USB_buffers

_read_button1:

;PIC Clicker IrThermo Click.c,65 :: 		char read_button1() {
;PIC Clicker IrThermo Click.c,66 :: 		if (Button(&PORTD, 3, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button13
;PIC Clicker IrThermo Click.c,67 :: 		return  1;                              // Update flag
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_read_button1
;PIC Clicker IrThermo Click.c,68 :: 		} else return 0;
L_read_button13:
	CLRF        R0 
;PIC Clicker IrThermo Click.c,69 :: 		}
L_end_read_button1:
	RETURN      0
; end of _read_button1

_read_button2:

;PIC Clicker IrThermo Click.c,71 :: 		char read_button2() {
;PIC Clicker IrThermo Click.c,72 :: 		if (Button(&PORTD, 2, 2, 0)) {               // Detect logical one
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time_ms+0 
	CLRF        FARG_Button_active_state+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_read_button25
;PIC Clicker IrThermo Click.c,73 :: 		return  2;                              // Update flag
	MOVLW       2
	MOVWF       R0 
	GOTO        L_end_read_button2
;PIC Clicker IrThermo Click.c,74 :: 		} else return 0;
L_read_button25:
	CLRF        R0 
;PIC Clicker IrThermo Click.c,75 :: 		}
L_end_read_button2:
	RETURN      0
; end of _read_button2

_ReadSensor:

;PIC Clicker IrThermo Click.c,84 :: 		float ReadSensor(char Temp_Source){
;PIC Clicker IrThermo Click.c,87 :: 		I2C2_Start();                  // issue I2C start signal
	CALL        _I2C2_Start+0, 0
;PIC Clicker IrThermo Click.c,88 :: 		I2C2_Wr(_IR_THERMO_ADDR << 1); // send byte via I2C  (device address << 1)
	MOVLW       180
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker IrThermo Click.c,89 :: 		I2C2_Wr(Temp_Source);          // send byte (data address)
	MOVF        FARG_ReadSensor_Temp_Source+0, 0 
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker IrThermo Click.c,90 :: 		I2C2_Repeated_Start();         // issue I2C signal repeated start
	CALL        _I2C2_Repeated_Start+0, 0
;PIC Clicker IrThermo Click.c,91 :: 		I2C2_Wr(_IR_THERMO_ADDR << 1); // send byte (device address << 1)
	MOVLW       180
	MOVWF       FARG_I2C2_Wr_data_+0 
	CALL        _I2C2_Wr+0, 0
;PIC Clicker IrThermo Click.c,92 :: 		Temp_var = I2C2_Rd(0);         // Read the data (NO acknowledge)
	CLRF        FARG_I2C2_Rd_ack+0 
	CALL        _I2C2_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       ReadSensor_Temp_var_L0+0 
	MOVLW       0
	MOVWF       ReadSensor_Temp_var_L0+1 
;PIC Clicker IrThermo Click.c,93 :: 		Temp_var = (I2C2_Rd(0) << 8) + Temp_var;
	CLRF        FARG_I2C2_Rd_ack+0 
	CALL        _I2C2_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       R2 
	CLRF        R1 
	MOVF        R1, 0 
	ADDWF       ReadSensor_Temp_var_L0+0, 1 
	MOVF        R2, 0 
	ADDWFC      ReadSensor_Temp_var_L0+1, 1 
;PIC Clicker IrThermo Click.c,94 :: 		I2C2_Stop();                   // issue I2C stop signal
	CALL        _I2C2_Stop+0, 0
;PIC Clicker IrThermo Click.c,96 :: 		return Temp_var;
	MOVF        ReadSensor_Temp_var_L0+0, 0 
	MOVWF       R0 
	MOVF        ReadSensor_Temp_var_L0+1, 0 
	MOVWF       R1 
	CALL        _Word2Double+0, 0
;PIC Clicker IrThermo Click.c,97 :: 		}
L_end_ReadSensor:
	RETURN      0
; end of _ReadSensor

_load_AMB:

;PIC Clicker IrThermo Click.c,99 :: 		void load_AMB() {
;PIC Clicker IrThermo Click.c,101 :: 		for (i =0;i <10;i++) {
	CLRF        _i+0 
L_load_AMB7:
	MOVLW       10
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_load_AMB8
;PIC Clicker IrThermo Click.c,102 :: 		writebuff[1+i]= txt[i];
	MOVF        _i+0, 0 
	ADDLW       1
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _writebuff+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _txt+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;PIC Clicker IrThermo Click.c,101 :: 		for (i =0;i <10;i++) {
	INCF        _i+0, 1 
;PIC Clicker IrThermo Click.c,103 :: 		}
	GOTO        L_load_AMB7
L_load_AMB8:
;PIC Clicker IrThermo Click.c,104 :: 		}
L_end_load_AMB:
	RETURN      0
; end of _load_AMB

_load_OBJ:

;PIC Clicker IrThermo Click.c,106 :: 		void load_OBJ() {
;PIC Clicker IrThermo Click.c,108 :: 		for (i =0;i <10;i++) {
	CLRF        _i+0 
L_load_OBJ10:
	MOVLW       10
	SUBWF       _i+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_load_OBJ11
;PIC Clicker IrThermo Click.c,109 :: 		writebuff[11+i]= txt[i];
	MOVF        _i+0, 0 
	ADDLW       11
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVLW       _writebuff+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       _txt+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FSR0H 
	MOVF        _i+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;PIC Clicker IrThermo Click.c,108 :: 		for (i =0;i <10;i++) {
	INCF        _i+0, 1 
;PIC Clicker IrThermo Click.c,110 :: 		}
	GOTO        L_load_OBJ10
L_load_OBJ11:
;PIC Clicker IrThermo Click.c,111 :: 		}
L_end_load_OBJ:
	RETURN      0
; end of _load_OBJ

_main:

;PIC Clicker IrThermo Click.c,113 :: 		void main(){
;PIC Clicker IrThermo Click.c,114 :: 		long cnt = 0;
;PIC Clicker IrThermo Click.c,116 :: 		ANCON0 = 0xFF;               // Default all pins to digital
	MOVLW       255
	MOVWF       ANCON0+0 
;PIC Clicker IrThermo Click.c,117 :: 		ANCON1 = 0x1F;               //
	MOVLW       31
	MOVWF       ANCON1+0 
;PIC Clicker IrThermo Click.c,118 :: 		TRISD = 0;
	CLRF        TRISD+0 
;PIC Clicker IrThermo Click.c,119 :: 		TRISB = 0;
	CLRF        TRISB+0 
;PIC Clicker IrThermo Click.c,120 :: 		TRISA = 0;
	CLRF        TRISA+0 
;PIC Clicker IrThermo Click.c,121 :: 		RCSTA1 = 1;
	MOVLW       1
	MOVWF       RCSTA1+0 
;PIC Clicker IrThermo Click.c,124 :: 		T1_Direction = 1;         // Set direction for buttons
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;PIC Clicker IrThermo Click.c,125 :: 		T2_Direction = 1;
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;PIC Clicker IrThermo Click.c,127 :: 		LD1_Direction = 0;        // Set direction for LEDS
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;PIC Clicker IrThermo Click.c,128 :: 		LD2_Direction = 0;
	BCF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;PIC Clicker IrThermo Click.c,129 :: 		LD1 = 0;
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker IrThermo Click.c,130 :: 		LD2 = 0;                 // turn off leds
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker IrThermo Click.c,132 :: 		I2C2_Init(50000);                     // performs I2C initialization
	MOVLW       80
	MOVWF       SSP2ADD+0 
	CALL        _I2C2_Init+0, 0
;PIC Clicker IrThermo Click.c,133 :: 		Delay_ms(1000);
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main13:
	DECFSZ      R13, 1, 1
	BRA         L_main13
	DECFSZ      R12, 1, 1
	BRA         L_main13
	DECFSZ      R11, 1, 1
	BRA         L_main13
	NOP
;PIC Clicker IrThermo Click.c,136 :: 		clear_USB_buffers();
	CALL        _clear_USB_buffers+0, 0
;PIC Clicker IrThermo Click.c,137 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;PIC Clicker IrThermo Click.c,140 :: 		while (1){
L_main14:
;PIC Clicker IrThermo Click.c,142 :: 		kk = HID_Read();
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _kk+0 
;PIC Clicker IrThermo Click.c,143 :: 		if (kk != 0)
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
;PIC Clicker IrThermo Click.c,146 :: 		Temp = ReadSensor(_AMB_TEMP);          // Read Ambient temperature
	MOVLW       6
	MOVWF       FARG_ReadSensor_Temp_Source+0 
	CALL        _ReadSensor+0, 0
	MOVF        R0, 0 
	MOVWF       _Temp+0 
	MOVF        R1, 0 
	MOVWF       _Temp+1 
	MOVF        R2, 0 
	MOVWF       _Temp+2 
	MOVF        R3, 0 
	MOVWF       _Temp+3 
;PIC Clicker IrThermo Click.c,147 :: 		Temp = (Temp * 0.02) - 273.15;         // Convert result in Celsius degrees
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       121
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       51
	MOVWF       R4 
	MOVLW       147
	MOVWF       R5 
	MOVLW       8
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _Temp+0 
	MOVF        R1, 0 
	MOVWF       _Temp+1 
	MOVF        R2, 0 
	MOVWF       _Temp+2 
	MOVF        R3, 0 
	MOVWF       _Temp+3 
;PIC Clicker IrThermo Click.c,148 :: 		FloatToStr(Temp, txt);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;PIC Clicker IrThermo Click.c,149 :: 		load_AMB();
	CALL        _load_AMB+0, 0
;PIC Clicker IrThermo Click.c,151 :: 		Temp = ReadSensor(_OBJ_TEMP);          // Read Ambient temperature
	MOVLW       7
	MOVWF       FARG_ReadSensor_Temp_Source+0 
	CALL        _ReadSensor+0, 0
	MOVF        R0, 0 
	MOVWF       _Temp+0 
	MOVF        R1, 0 
	MOVWF       _Temp+1 
	MOVF        R2, 0 
	MOVWF       _Temp+2 
	MOVF        R3, 0 
	MOVWF       _Temp+3 
;PIC Clicker IrThermo Click.c,152 :: 		Temp = (Temp * 0.02) - 273.15;         // Convert result in Celsius degrees
	MOVLW       10
	MOVWF       R4 
	MOVLW       215
	MOVWF       R5 
	MOVLW       35
	MOVWF       R6 
	MOVLW       121
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVLW       51
	MOVWF       R4 
	MOVLW       147
	MOVWF       R5 
	MOVLW       8
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _Temp+0 
	MOVF        R1, 0 
	MOVWF       _Temp+1 
	MOVF        R2, 0 
	MOVWF       _Temp+2 
	MOVF        R3, 0 
	MOVWF       _Temp+3 
;PIC Clicker IrThermo Click.c,153 :: 		FloatToStr(Temp, txt);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _txt+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_txt+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;PIC Clicker IrThermo Click.c,154 :: 		load_OBJ();
	CALL        _load_OBJ+0, 0
;PIC Clicker IrThermo Click.c,156 :: 		if ((readbuff[0] & 0x01 )> 0) {
	MOVLW       1
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main17
;PIC Clicker IrThermo Click.c,157 :: 		LD1 = 1;
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;PIC Clicker IrThermo Click.c,158 :: 		}  else LD1 = 0;
	GOTO        L_main18
L_main17:
	BCF         LATA0_bit+0, BitPos(LATA0_bit+0) 
L_main18:
;PIC Clicker IrThermo Click.c,159 :: 		if ((readbuff[0] & 0x02 )> 0) {
	MOVLW       2
	ANDWF       1280, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_main19
;PIC Clicker IrThermo Click.c,160 :: 		LD2 = 1;
	BSF         LATA1_bit+0, BitPos(LATA1_bit+0) 
;PIC Clicker IrThermo Click.c,161 :: 		}  else LD2 = 0;
	GOTO        L_main20
L_main19:
	BCF         LATA1_bit+0, BitPos(LATA1_bit+0) 
L_main20:
;PIC Clicker IrThermo Click.c,163 :: 		writebuff[0]=0;
	CLRF        1344 
;PIC Clicker IrThermo Click.c,164 :: 		writebuff[0] = writebuff[0] | read_button1() ;
	CALL        _read_button1+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker IrThermo Click.c,165 :: 		writebuff[0] = writebuff[0] | read_button2() ;
	CALL        _read_button2+0, 0
	MOVF        R0, 0 
	IORWF       1344, 1 
;PIC Clicker IrThermo Click.c,167 :: 		HID_Write(&writebuff,64);
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;PIC Clicker IrThermo Click.c,168 :: 		}
L_main16:
;PIC Clicker IrThermo Click.c,169 :: 		}
	GOTO        L_main14
;PIC Clicker IrThermo Click.c,170 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
